Create unique link

Generate a unique link for the user’s test.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

REDIRECT URL

The redirect_url enables the partner to dynamically select where the user should go after they complete their vision test.

  • If a redirect url is provided, we'll redirect the user along with several query parameters that can be used to generate content unique to each session.
  • If a redirect url is not provided, we'll redirect the user to the static link given to your Partner Success Associate.
  • If you would like users to redirect automatically after the test experience please reach out to your Partner Success Associate.

The parameters sent include:

KeyTypeDescription
user_keyStringThe user identifier submitted by the partner.
session_keyStringThe session identifier submitted by the partner.
statusStringThe status of the authenticated session. This status follows the same format as the Session Status Types associated with the Get Sessions/Rx’s endpoint.
missing_requirementsArray<String>A list of missing requirements, such as Rx and ID documents, associated with the user's session.
  • *NOTE:** The missing_requirements array will only be provided in redirect URL parameters if the status is awaiting_confirmation.

Missing Requirement Types

  • glasses_prior
  • contacts_prior
  • pupillary_distance
  • id_verification

Example Redirect URLs

https://partner.com/thankyou?
  session_key=session1
  &user_key=user1
  &status=started
https://partner.com/thankyou?
  session_key=session1
  &user_key=user1
  &status=awaiting_confirmation
  &missing_requirements[]=glasses_prior
  &missing_requirements[]=contacts_prior
  &missing_requirements[]=pupillary_distance
  &missing_requirements[]=id_verification

JSON

{
  "user_key": "user1",
  "session_key": "session1"
}
{
  "link": "https://staging.govisibly.com/login?session_key=session1&user_key=user1",
  "expires_at": "2017-03-30T14:53:24Z"
}
Body Params
string
required

A unique, PHI-compliant identifier for each user sent to the API

string
required

A unique, PHI-compliant identifier for each user transaction sent to the API

string

A dynamic link for the user to redirect to upon completion of the exam

Responses

400

Invalid request

401

Authentication required

404

User or session not found

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json